Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigurationMail

    public interface ConfigurationMail

This interface define methods to manage mail configuration of server.

Field Summary
`static int` | `SPLIT_BY_PAGE` SPLIT_BY_SIZE split PDF by page (1).
`static int` | `SPLIT_BY_SIZE` SPLIT_BY_SIZE split PDF by size (0).
`static java.lang.String` | `TAG_AUTHENTICATION` TAG_AUTHENTICATION whether the SMTP Server requires authentication (smtp.authentication).
`static java.lang.String` | `TAG_COMPRESS` TAG_COMPRESS whether or not to compress the mail attachment as Java Archive (compress.mail).
`static java.lang.String` | `TAG_DEFAULT_FORMAT` TAG_DEFAULT_FORMAT the default format of the e-mail (default.format).
`static java.lang.String` | `TAG_MAILBOX` TAG_MAILBOX the address of the e-mail sender (mailbox).
`static java.lang.String` | `TAG_MAXMAILPage` TAG_MAXMAILPage the maximum mail page (Tag_MaxMailPage).
`static java.lang.String` | `TAG_MAXMAILSIZE` TAG_MAXMAILSIZE the maximum mail size (Tag_MaxMailSize).
`static java.lang.String` | `TAG_SMTP_PORT` TAG_SMTP_PORT the port where the e-mail server runs (smtp.server.port).
`static java.lang.String` | `TAG_SMTP_SERVER` TAG_SMTP_SERVER the numeric or named host of the machine where the e-mail server is located (smtp.server).
`static java.lang.String` | `TAG_SPLITBY` TAG_SPLITBY whether to split PDF by size or page (Tag_SplitBy ).

Method Summary
`boolean` | `getAuthentication()` Return true if requires authentication mail, otherwise return false.
`int` | `getDefaultMailFormat()` Return the mail format send out.
`boolean` | `getEnableCompress()` Return true if compress mail, otherwise return false.
`java.lang.String` | `getMailBox()` Return the mail form address.
`java.util.Vector` | `getMailFormats()` Return the all mail formats .
`int` | `getMailPort()` Return the smtp mail server 's port.
`java.lang.String` | `getMailServer()` Return the smtp mail server 's name.
`int` | `getMaxMailPage()` Get the maximum page of the mail's attachment in PDF format
`int` | `getMaxMailSize()` Get the maximum size of the mail's attachment in PDF format
`int` | `getSplitBy()` Get the split PDF by size or page
`void` | `setAuthentication(boolean isEnable)` Set if requires authentication mail.
`void` | `setEnableCompress(boolean isEnable)` Set if compress mail.
`void` | `setMailBox(java.lang.String mailBox)` set the mail form address.
`void` | `setMailFormat(int mailFormat)` Set the mail format send out.
`void` | `setMailPort(int port)` set the smtp mail server 's port.
`void` | `setMailServer(java.lang.String smtpServerName)` set the smtp mail server 's name .
`void` | `setMaxMailPage(int page)` Set the maximum page of the mail's attachment in PDF format
`void` | `setMaxMailSize(int size)` Set the maximum size of the mail's attachment in PDF format
`void` | `setSplitBy(int split)` Set split PDF by size or page

Field Detail

### TAG_SMTP_SERVER

    static final java.lang.String TAG_SMTP_SERVER

  TAG_SMTP_SERVER the numeric or named host of the machine where the e-mail server is located (smtp.server).

  See Also:
    Constant Field Values

### TAG_SMTP_PORT

    static final java.lang.String TAG_SMTP_PORT

  TAG_SMTP_PORT the port where the e-mail server runs (smtp.server.port).

  See Also:
    Constant Field Values

### TAG_AUTHENTICATION

    static final java.lang.String TAG_AUTHENTICATION

  TAG_AUTHENTICATION whether the SMTP Server requires authentication (smtp.authentication).

  See Also:
    Constant Field Values

### TAG_MAILBOX

    static final java.lang.String TAG_MAILBOX

  TAG_MAILBOX the address of the e-mail sender (mailbox).

  See Also:
    Constant Field Values

### TAG_DEFAULT_FORMAT

    static final java.lang.String TAG_DEFAULT_FORMAT

  TAG_DEFAULT_FORMAT the default format of the e-mail (default.format).

  See Also:
    Constant Field Values

### TAG_COMPRESS

    static final java.lang.String TAG_COMPRESS

  TAG_COMPRESS whether or not to compress the mail attachment as Java Archive (compress.mail).

  See Also:
    Constant Field Values

### TAG_MAXMAILSIZE

    static final java.lang.String TAG_MAXMAILSIZE

  TAG_MAXMAILSIZE the maximum mail size (Tag_MaxMailSize).

  See Also:
    Constant Field Values

### TAG_MAXMAILPage

    static final java.lang.String TAG_MAXMAILPage

  TAG_MAXMAILPage the maximum mail page (Tag_MaxMailPage).

  See Also:
    Constant Field Values

### TAG_SPLITBY

    static final java.lang.String TAG_SPLITBY

  TAG_SPLITBY whether to split PDF by size or page (Tag_SplitBy ).

  See Also:
    Constant Field Values

### SPLIT_BY_SIZE

    static final int SPLIT_BY_SIZE

  SPLIT_BY_SIZE split PDF by size (0).

  See Also:
    Constant Field Values

### SPLIT_BY_PAGE

    static final int SPLIT_BY_PAGE

  SPLIT_BY_SIZE split PDF by page (1).

  See Also:
    Constant Field Values

Method Detail

### setMailServer

    void setMailServer(java.lang.String smtpServerName)

  set the smtp mail server 's name .

  Parameters:
    `smtpServerName` - the smtp mail server 's name.

### getMailServer

    java.lang.String getMailServer()

  Return the smtp mail server 's name.

  Returns:
    the smtp mail server 's name.

### setMailPort

    void setMailPort(int port)

  set the smtp mail server 's port.

  Parameters:
    `port` - the smtp mail server 's port.

### getMailPort

    int getMailPort()

  Return the smtp mail server 's port.

  Returns:
    the smtp mail server 's port.

### setMailBox

    void setMailBox(java.lang.String mailBox)

  set the mail form address.

  Parameters:
    `mailBox` - the mail form address.

### getMailBox

    java.lang.String getMailBox()

  Return the mail form address.

  Returns:
    the mail form address.

### setMailFormat

    void setMailFormat(int mailFormat)

  Set the mail format send out.

  Parameters:
    `mailFormat` - the mail format send out.

### getDefaultMailFormat

    int getDefaultMailFormat()

  Return the mail format send out.

  Returns:
    the mail format send out.

### getMailFormats

    java.util.Vector getMailFormats()

  Return the all mail formats .

  Returns:
    vector which all the mail format .

### setEnableCompress

    void setEnableCompress(boolean isEnable)

  Set if compress mail.

  Parameters:
    `isEnable` - if compress mail.

### getEnableCompress

    boolean getEnableCompress()

  Return true if compress mail, otherwise return false.

  Returns:
    if compress mail.

### setMaxMailSize

    void setMaxMailSize(int size)

  Set the maximum size of the mail's attachment in PDF format

  Parameters:
    `size` - the maximum size of the mail's attachment in PDF format

### getMaxMailSize

    int getMaxMailSize()

  Get the maximum size of the mail's attachment in PDF format

  Returns:
    the maximum size of the mail's attachment in PDF format

### setMaxMailPage

    void setMaxMailPage(int page)

  Set the maximum page of the mail's attachment in PDF format

  Parameters:
    `page` - the maximum page of the mail's attachment in PDF format

### getMaxMailPage

    int getMaxMailPage()

  Get the maximum page of the mail's attachment in PDF format

  Returns:
    the maximum page of the mail's attachment in PDF format

### setSplitBy

    void setSplitBy(int split)

  Set split PDF by size or page

  Parameters:
    `split` - indicates split PDF by size or page

### getSplitBy

    int getSplitBy()

  Get the split PDF by size or page

  Returns:
    split PDF by size or page

### setAuthentication

    void setAuthentication(boolean isEnable)

  Set if requires authentication mail.

  Parameters:
    `isEnable` - if requires authentication mail.

### getAuthentication

    boolean getAuthentication()

  Return true if requires authentication mail, otherwise return false.

  Returns:
    if requires authentication mail.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD